#pragma once
#include "skinnablewindow.h"

class SkinnableButton :
	public SkinnableWindow
{
public:
	SkinnableButton(void);
	~SkinnableButton(void);
	virtual void OnLButtonUp();
	virtual void OnLButtonDblClk();
	virtual void OnRButtonUp();
	virtual void OnCarriageReturn(HWND h);

	void SetMessageSink(HWND hWnd); // sets the recipient for event messages from this button (default is the parent)
	HWND hWndSink;
};
